## START: Set by rpmautospec
## (rpmautospec version 0.2.5)
%define autorelease(e:s:pb:) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{?dist}
## END: Set by rpmautospec

# We must use a GitHub snapshot because the PyPI sdist lacks the LICENSE file
# (https://github.com/MobileDynasty/pytest-env/issues/6) and releases are not
# tagged on GitHub.
%global commit afb13a0e908f649b69273f299262ac12f1b71113
%global snapdate 20170617

Name:           python-pytest-env
Version:        0.6.2^%{snapdate}git%(echo '%{commit}' | cut -b -7)
Release:        %autorelease
Summary:        Plugin for pytest that allows you to add environment variables

License:        MIT
URL:            https://github.com/MobileDynasty/pytest-env
Source0:        %{url}/archive/%{commit}/pytest-env-%{commit}.tar.gz

BuildArch:      noarch

BuildRequires:  python3-devel

%global common_description %{expand: \
This is a py.test plugin that enables you to set environment variables in the
pytest.ini file.}

%description
%{common_description}


%package -n     python3-pytest-env
Summary:        %{summary}

%description -n python3-pytest-env
%{common_description}


%prep
%autosetup -n pytest-env-%{commit}


%generate_buildrequires
%pyproject_buildrequires -r


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files pytest_env


%check
# Upstream has no tests.
%pyproject_check_import


%files -n python3-pytest-env -f %{pyproject_files}
# pyproject_files handles LICENSE; verify with “rpm -qL -p …”
%doc README.md


%changelog
* Thu Mar 24 2022 Benjamin A. Beasley <code@musicinmybrain.net> 0.6.2^20170617gitafb13a0-1
- Update to 0.6.2

* Thu Mar 24 2022 Benjamin A. Beasley <code@musicinmybrain.net> 0.6.1^20170608git8f5339a-1
- Initial package (close RHBZ#2068097)
